{% extends "base.html" %}
{% load i18n %}
{% load staticfiles %}

{% block title %}WDMS | Append personnel{% endblock title%}

{% block head %}
<link rel="stylesheet" type="text/css" href="{% static 'css/employee_append.css' %}" />
<script>

    $(function(){
      // 选择默认的选项
      $(".privilege").find("option[value='0']").attr("selected",true);
      $(".gender").find("option[value='S']").attr("selected",true);
    });

    function change_select(depart_id) {
        // 遍历删除原有的option
        var old_option_length2 = $( "#area:has(option)" ).length

        for (var i = 0; i < old_option_length2; i++){
            $('#area').html("");
        }

        // alert(depart_id);
        var url = '{% url 'get_option_department' 0 %}'.replace('0', depart_id)
        $.ajax({
            url: url,
            type: "GET",
            //获取json数据
            dataType: "json",
            success: function(data) {
                var d2 = data['area'];
                // 遍历新增对应company下的每个option
                for (var i = 0; i < d2.length; i++) {
                    var area_id = d2[i].id;
                    var area_name = d2[i].name;
                    var area_opt = "<option value='" + area_id + "'>" + area_name + "</option>";
                    $("#area").append(area_opt);
                }
            },
            error: function() {
                alert("Please select a department！")
            }
        });
    }
</script>
{% endblock head %}

{% block content %}

  <div style="text-indent: 32.8em;">
    <a href="/">Home</a>›
    <a href="../">Personnel</a>› Add Personnel
  </div>
  <table>
    <tbody>
      <tr>
        <td style="height: auto;"></td>
      </tr>
    </tbody>
  </table>
  <br>
  <!-- Content overflow:auto-->
  <div style="text-align:center;">
    <h1>Personnel</h1>
    <br>
    <form method="post" role="form", action="{% url 'employee_append' %}">
	  {% csrf_token %}
      <table>
        <tbody>
          {% for field in form.visible_fields %}
            <div>
              {% for error in field.errors %}
              <div class="error">*{{ error }}</div>
              {% endfor %}
              <div class="{{ field.name }}">
              <label for="{{ field.label }}">{{ field.label }}</label>
              {{ field }}
              {% if field.help_text %}
              <span class="help-block">{{ field.help_text|safe }}</span>
              {% endif %}
              </div>
           </div>
           <br>
          {% endfor %}

          <div style="text-align:center">
              <input type="submit" value="Submit"/>&nbsp;&nbsp;&nbsp;&nbsp;
              <input type="submit" value="Return" onclick="window.history.back(); return false;" />
          </div>

        </tbody>
      </table>
    </form>

    <br class="clear" />
</div>
  <!-- END Content -->

{% endblock content %}